package com.css.simulation.oauth.server.controller;


import api.common.pojo.common.ResponseBodyVO;
import api.common.util.CollectionUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Set;

@RestController
public class OauthServerController {


    @Autowired
    RedisTemplate<String, String> redisTemplate;

    /**
     * 服务监控
     */
    @PostMapping("online")
    @ResponseBody
    public ResponseBodyVO<Integer> online() {
        int online;

        Set<String> keys = redisTemplate.keys("access:*");
        if (CollectionUtil.isEmpty(keys)) {
            online = 0;
        } else {
            online = keys.size();
        }
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SUCCESS, online);
    }


}
